$(document).ready(function(){

    var $items = $('.grid-item');

    // Filter elements while typing in search box
    $('#filter').on('keyup', function(event){

        var filter = $.trim($('#filter').val());

        if (filter != "") {

            console.log(filter);

            $items.hide();

            $items.each(function(){
                if ($(this).attr('data-name').indexOf(filter) > -1) {
                    $(this).show();
                }
            });

        } else {
            $items.show();
        }

    });

    // Display animated picture on hover
    $('.grid-item img').mouseover(function(){
        $(this).attr('src', $(this).attr('data-animated'));
    });

    // Display static picture on blur
    $('.grid-item img').mouseout(function(){
        $(this).attr('src', $(this).attr('data-static'));
    });

});